SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001702SiT!otherpublic2011-08-26 16:512011-09-04 20:45
Reporterivan 
Assigned Topaulh 
PrioritynormalSeveritytweakReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.63p1 
Target Version3.65 LTSFixed in Version3.65 LTS 
Summary0001702: Tidy ambiguous code in link_add.php
Description case 'addlink':
        // Insert the link
        if ($direction == 'lr')
        $sql = "INSERT INTO `{$dbLinks}` ";
        $sql .= "(linktype, origcolref, linkcolref, userid) ";
        $sql .= "VALUES ('{$linktypeid}', '$origref', '$linkref', '{$sit[2]}')";
        mysql_query($sql);
        if (mysql_error()) trigger_error(mysql_error(),E_USER_ERROR);

        html_redirect($redirect);
    break;
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0004263)
paulh (administrator)
2011-08-28 13:43

Confirm,

have tested this here and if direction = 'lr' the next line is run, if its not then its skipped so you end up with broken SQL
User avatar (0004264)
paulh (administrator)
2011-08-28 15:04

r7311 and 19e2b1d resolve
User avatar (0004286)
ivan (administrator)
2011-09-04 20:45

Fix released in v3.65

- Issue History
Date Modified Username Field Change
2011-08-26 16:51 ivan New Issue
2011-08-28 13:43 paulh Note Added: 0004263
2011-08-28 13:43 paulh Assigned To => paulh
2011-08-28 13:43 paulh Status new => confirmed
2011-08-28 15:04 paulh Note Added: 0004264
2011-08-28 15:04 paulh Status confirmed => resolved
2011-08-28 15:04 paulh Resolution open => fixed
2011-08-28 15:04 paulh Fixed in Version => Current SVN
2011-09-04 17:37 ivan Fixed in Version Current SVN => 3.65 LTS
2011-09-04 20:45 ivan Note Added: 0004286
2011-09-04 20:45 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker